Last modified: 2013-04-22 16:17:25 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 42337 - [Regression] Links to userpage and usertalk are in the wrong order in RTL language
[Regression] Links to userpage and usertalk are in the wrong order in RTL lan...
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
Interface (Other open bugs)
1.21.x
All All
: High major (vote)
: 1.21.0 release
Assigned To: Amir E. Aharoni
https://he.wikipedia.org/w/index.php?...
: code-update-regression
Depends on:
Blocks: rtl 42366
  Show dependency treegraph
 
Reported: 2012-11-21 20:43 UTC by matanya
Modified: 2013-04-22 16:17 UTC (History)
9 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description matanya 2012-11-21 20:43:24 UTC
The links "user" and "usertalk" in the top left display moved after upgrade to 1.21wmf4 on RTL wikis.

Steps to reproduce:
1. log in to an RTL wiki
2. change the lang to the wikis lang
3. see the movement of your user name and user talk link move to the most left side next to "log-out" link.

Best
Comment 1 matanya 2012-11-21 20:46:52 UTC
Adding: This is relevant only to vector users. Other skins are not affected.
Comment 2 Krinkle 2012-11-22 19:28:14 UTC
So the (talk) link should be before the Username link in RTL, right ?
Comment 3 Amir E. Aharoni 2012-11-22 21:01:41 UTC
(In reply to comment #2)
> So the (talk) link should be before the Username link in RTL, right ?

No, after. From right to left - name (talk) preferences

The regression is from https://gerrit.wikimedia.org/r/#/c/31728 . It introduces manual echoing of some elements and takes them out of their order in the array.

I suppose that the global $wgVectorCombineUserTalk can be eliminated by now.
Comment 4 Amir E. Aharoni 2012-11-22 22:06:33 UTC
Patch here:

https://gerrit.wikimedia.org/r/#/c/34849/
Comment 5 Amir E. Aharoni 2012-11-24 15:32:20 UTC
Merged, waiting for deployment.
Comment 6 MZMcBride 2012-11-24 23:16:49 UTC
(In reply to comment #4)
> Patch here:
> 
> https://gerrit.wikimedia.org/r/#/c/34849/

Reverted in <https://gerrit.wikimedia.org/r/35016>. Re-opening this bug for now while I have the tab open.
Comment 7 Amir E. Aharoni 2012-11-25 15:00:58 UTC
Another attempt here:
https://gerrit.wikimedia.org/r/#/c/35027/

I simply removed the parentheses, which seemed to be the most controversial issue.
Comment 8 Bartosz Dziewoński 2012-11-27 06:04:31 UTC
Patch merged -> marking as fixed.

I reopened bug 41672 in case we want to reimplement this.
Comment 9 Jarry1250 2012-11-28 11:39:17 UTC
Does no-one feel that the parentheses were a nice to have feature? ANyone going to try to reimplement them?
Comment 10 Ori Livneh 2012-11-28 11:41:14 UTC
Yes, I'd like to. I found the experience a bit stressful so I'm stepping away from it with the intention of picking it back up in a few days.
Comment 11 Jarry1250 2012-11-28 13:38:35 UTC
Understood :) Thanks for your work on the issue, I came to quite like the new format.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links